##################################################
## 初期設定
##################################################
## 「bpp_stats_reader.R」で作成したファイルの名前の設定
bpp_stats.file <- "bpp_stats1.txt"

##################################################
## 「bpp_stats_reader.R」で作成したデータの読み込み
##################################################
bpp_stats <- read.table(bpp_stats.file, header = TRUE, fileEncoding="cp932", encoding="cp932")

##################################################
## 「bpp_stats_reader.R」で作成したデータの内容表示
##################################################
## オプション条件ごとの試行回数の表示
##################################################
## オプション名のリストの作成
option.list <- unique(bpp_stats$option)

## オプション条件ごとに試行回数を表示
for (i in option.list) {
  i_option.stats <- subset(bpp_stats, bpp_stats$option == i)
  i_option.num <- nrow(i_option.stats) / 13
  cat(paste("■オプション名「", i, "」での試行回数： ", i_option.num, "\n", sep = ""))
}

##################################################
## 総試行回数の表示
##################################################
all_bpp_stats.size <- nrow(bpp_stats) / 13
cat(paste("　■総試行回数： ", all_bpp_stats.size, "\n\n", sep = ""))

##################################################
## FUJINO, Kazuhiro 2020
## http://fujino.la.coocan.jp/index.htm
##################################################